Bug 4319 - globus_scheduler_event_generator doesn't build with -static=1
: globus_scheduler_event_generator doesn't build with -static=1
Status: RESOLVED FIXED
: GRAM
wsrf managed job factory service
: 4.0.1
: Macintosh All
: P3 normal
: 4.0.3
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-03-31 16:46 by
Modified: 2006-06-27 22:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-31 16:46:37
The library link order doesn't work for static builds.  Change
ws-gram/job_monitoring/common/c/source/Makefile.am as follows:

diff -u -r1.5 Makefile.am
--- Makefile.am 25 Aug 2004 05:39:48 -0000      1.5
+++ Makefile.am 31 Mar 2006 22:45:48 -0000
@@ -33,7 +33,7 @@

 globus_scheduler_event_generator_SOURCES = main.c
 globus_scheduler_event_generator_LDFLAGS = $(GPT_LDFLAGS)
-globus_scheduler_event_generator_LDADD = $(GPT_LIB_LINKS)
libglobus_scheduler_event_generator_$(GLOBUS_FLAVOR_NAME).la
+globus_scheduler_event_generator_LDADD =
libglobus_scheduler_event_generator_$(GLOBUS_FLAVOR_NAME).la $(GPT_LIB_LINKS)

 EXTRA_DIST= version.h.in protocol.dox


Thanks!
------- Comment #1 From 2006-06-05 15:23:17 -------
Fix committed to 4.0 branch and trunk.

joe